Bug 681393 - Review Request: perl-Nagios-Plugin-WWW-Mechanize - Login to a web page as a user and get data as a Nagios plugin
Summary: Review Request: perl-Nagios-Plugin-WWW-Mechanize - Login to a web page as a u...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Steve Traylen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-02 01:16 UTC by Ken Dreyer
Modified: 2011-04-08 14:02 UTC (History)
3 users (show)

Fixed In Version: perl-Nagios-Plugin-WWW-Mechanize-0.13-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-21 03:32:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
steve.traylen: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Ken Dreyer 2011-03-02 01:16:28 UTC
Spec URL: http://adiemus.org/~kdreyer/rpms/perl-Nagios-Plugin-WWW-Mechanize.spec
SRPM URL: http://adiemus.org/~kdreyer/rpms/perl-Nagios-Plugin-WWW-Mechanize-0.13-1.fc13.src.rpm and 

Description: Login to a web page as a user and get data as a Nagios plugin. This module ties Nagios::Plugin with WWW::Mechanize so that there's less code in your perl script and the most common work is done for you.

I would like to get this package into Fedora. EPEL 5/6 would require getting perl-WWW-Mechanize into EPEL (I may be willing to be the EPEL maintainer for that in the future).

I'm a long-time Fedora user, and I'm looking to be a developer. I maintain a few RPMs at work, but this is my first couple of packages in Fedora, so I'm seeking a sponsor. My first package is at https://bugzilla.redhat.com/show_bug.cgi?id=678727



$ rpmlint SPECS/perl-Nagios-Plugin-WWW-Mechanize.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint perl-Nagios-Plugin-WWW-Mechanize-0.13-1.fc13.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint  perl-Nagios-Plugin-WWW-Mechanize-0.13-1.fc13.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Koji scratch builds:
F13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2877483
F14: http://koji.fedoraproject.org/koji/taskinfo?taskID=2877485
F15: http://koji.fedoraproject.org/koji/taskinfo?taskID=2877486

Comment 1 Ken Dreyer 2011-03-02 01:20:45 UTC
Koji scratch build for F15 is actually http://koji.fedoraproject.org/koji/taskinfo?taskID=2877487

Comment 3 Steve Traylen 2011-03-03 19:09:53 UTC
- Package meets naming and packaging guidelines
It does.
- Spec file matches base package name.
Yes.
- Spec has consistant macro usage.
Yes.
- Meets Packaging Guidelines.
Yes
- License
GPL+ or Artistic
- License field in spec matches
It does.
- License file included in package
It does
- Spec in American English
Yes.
- Spec is legible.
Yes.
- Sources match upstream md5sum:
$ md5sum Nagios-Plugin-WWW-Mechanize-0.13.tar.gz ../SOURCES/Nagios-Plugin-WWW-Mechanize-0.13.tar.gz 
8cfc2c93d84a88756666c3d7a6baf69e  Nagios-Plugin-WWW-Mechanize-0.13.tar.gz
8cfc2c93d84a88756666c3d7a6baf69e  ../SOURCES/Nagios-Plugin-WWW-Mechanize-0.13.tar.gz


- BuildRequires correct
Yes
- Package has %defattr and permissions on files is good.
- Package has a correct %clean section.
- Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
- Package is code or permissible content.
- Doc subpackage needed/used
Not needed.

- Packages %doc files don't affect runtime.
The don't

- Package doesn't own any directories other packages own.
- Package owns all the directories it creates.
- No rpmlint output.

rpmint is clean as above.

- final provides and requires are sane:
COMMENT , a few double requires that could be cleaned up.

SHOULD Items:

- Should build in mock.
Yes
- Should build on all supported archs
Yes
- Should function as described.
The checks work at lease.
- Should have dist tag
Yes.
- Should package latest version
Yes it's the latest

Issues:

1) I'm not entirely sure why to be honest but in the past I've been asked to change 

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
to
make pure_install DESTDIR=$RPM_BUILD_ROOT

2) You have in your .spec file an explicit

Requires:       perl(Nagios::Plugin)
Requires:       perl(WWW::Mechanize)

which results in double entries in the requires from 
rpm -qp --requires perl-Nagios-Plugin-WWW-Mechanize-0.13-2.fc14.noarch.rpm

As a gneral rule if yours requires are being auto determined you should not include
them explicitly.

3) Something I try and do is when you have a BuildRequires that is only needed on EL6
    then I place it inside an OS conditional
   http://fedoraproject.org/wiki/DistTag#Conditionals

This makes it obvious that when RHEL6 is buried you can get rid of these lines. Of course
sometimes it is requirement since the dependency names changes between releases.

Comment 4 Ken Dreyer 2011-03-04 07:13:47 UTC
Thank you Steve. I've updated to a -3 release.
http://adiemus.org/~kdreyer/rpms/perl-Nagios-Plugin-WWW-Mechanize.spec
http://adiemus.org/~kdreyer/rpms/perl-Nagios-Plugin-WWW-Mechanize-0.13-3.el6.src.rpm

ChangeLog for -3:
- use DESTDIR in place of PERL_INSTALL_ROOT
- rm explicit Requires (Nagios::Plugin and WWW::Mechanize are auto-determined)
- Wrap BuildRequires for EL6 in a conditional DistTag

Koji scratch builds:
F13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2884086
F14: http://koji.fedoraproject.org/koji/taskinfo?taskID=2884080
F15: http://koji.fedoraproject.org/koji/taskinfo?taskID=2884082
EL6: http://koji.fedoraproject.org/koji/taskinfo?taskID=2884084

Comment 5 Ken Dreyer 2011-03-05 19:45:05 UTC
Removing FE-NEEDSPONSOR from this review, per https://fedorahosted.org/fesco/ticket/569

Comment 6 Steve Traylen 2011-03-13 08:25:34 UTC
Looks GOOD.

APPROVED.

Comment 7 Ken Dreyer 2011-03-14 04:22:26 UTC
New Package SCM Request
=======================
Package Name: perl-Nagios-Plugin-WWW-Mechanize
Short Description: Login to a web page as a user and get data as a Nagios plugin
Owners: ktdreyer
Branches: f14 f15 el6

Comment 8 Jason Tibbitts 2011-03-14 15:38:32 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2011-03-16 01:51:23 UTC
perl-Nagios-Plugin-WWW-Mechanize-0.13-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Nagios-Plugin-WWW-Mechanize-0.13-3.el6

Comment 10 Fedora Update System 2011-03-16 01:54:38 UTC
perl-Nagios-Plugin-WWW-Mechanize-0.13-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Nagios-Plugin-WWW-Mechanize-0.13-3.fc14

Comment 11 Fedora Update System 2011-03-16 01:55:28 UTC
perl-Nagios-Plugin-WWW-Mechanize-0.13-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Nagios-Plugin-WWW-Mechanize-0.13-3.fc15

Comment 12 Fedora Update System 2011-03-16 18:18:02 UTC
perl-Nagios-Plugin-WWW-Mechanize-0.13-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 13 Fedora Update System 2011-03-21 03:32:54 UTC
perl-Nagios-Plugin-WWW-Mechanize-0.13-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 14 Fedora Update System 2011-03-24 19:28:20 UTC
perl-Nagios-Plugin-WWW-Mechanize-0.13-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 15 Fedora Update System 2011-03-31 15:17:54 UTC
perl-Nagios-Plugin-WWW-Mechanize-0.13-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 16 Ken Dreyer 2011-04-08 03:51:37 UTC
Package Change Request
======================
Package Name: perl-Nagios-Plugin-WWW-Mechanize
New Branches: EL-5
Owners: ktdreyer

The requisite WWW::Mechanize module is now in EPEL 5.

Comment 17 Jason Tibbitts 2011-04-08 14:02:15 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.